"use strict";
const common_vendor = require("../../../common/vendor.js");
const BILL_collection_record_show_model = require("./model.js");
const BILL_collection_record_show_method = require("./method.js");
const gen_Enums = require("../../../gen/Enums.js");
require("../../../common/libraries/day.js");
require("../../../common/libraries/apiLoading.js");
require("../../../gen/Apis.js");
require("../../../common/libraries/request.js");
require("../../../common/store/useWeAppAuthStore.js");
require("../../../common/store/useWatermarkStore.js");
require("../../../common/store/useWorkStore.js");
if (!Array) {
  const _easycom_hs_cell2 = common_vendor.resolveComponent("hs-cell");
  const _easycom_hs_enum_tag2 = common_vendor.resolveComponent("hs-enum-tag");
  const _easycom_uni_icons2 = common_vendor.resolveComponent("uni-icons");
  const _easycom_hs_refresh2 = common_vendor.resolveComponent("hs-refresh");
  (_easycom_hs_cell2 + _easycom_hs_enum_tag2 + _easycom_uni_icons2 + _easycom_hs_refresh2)();
}
const _easycom_hs_cell = () => "../../../components/hs-cell/hs-cell.js";
const _easycom_hs_enum_tag = () => "../../../components/hs-enum-tag/hs-enum-tag.js";
const _easycom_uni_icons = () => "../../../uni_modules/uni-icons/components/uni-icons/uni-icons.js";
const _easycom_hs_refresh = () => "../../../components/hs-refresh/hs-refresh.js";
if (!Math) {
  (_easycom_hs_cell + _easycom_hs_enum_tag + _easycom_uni_icons + _easycom_hs_refresh)();
}
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "index",
  setup(__props) {
    common_vendor.onLoad((e) => {
      var _a;
      (_a = BILL_collection_record_show_method.method) == null ? void 0 : _a.getShow(e == null ? void 0 : e.id);
    });
    return (_ctx, _cache) => {
      var _a, _b, _c, _d, _e, _f, _g, _h, _i, _j, _k, _l, _m, _n, _o, _p, _q, _r, _s, _t, _u, _v, _w, _x, _y;
      return {
        a: common_vendor.p({
          title: "催缴类型",
          borderTop: true,
          value: (_c = (_b = (_a = common_vendor.unref(BILL_collection_record_show_model.useModel)) == null ? void 0 : _a.showData) == null ? void 0 : _b.value) == null ? void 0 : _c.task_name
        }),
        b: common_vendor.p({
          value: (_f = (_e = (_d = common_vendor.unref(BILL_collection_record_show_model.useModel)) == null ? void 0 : _d.showData) == null ? void 0 : _e.value) == null ? void 0 : _f.status,
          Enums: common_vendor.unref(gen_Enums.HouseCollectionTasksStatusEnum)
        }),
        c: common_vendor.n(`status_tag_${(_i = (_h = (_g = common_vendor.unref(BILL_collection_record_show_model.useModel)) == null ? void 0 : _g.showData) == null ? void 0 : _h.value) == null ? void 0 : _i.status}`),
        d: common_vendor.p({
          title: "状态",
          borderTop: true
        }),
        e: common_vendor.p({
          title: "发起人",
          borderTop: true,
          value: (_m = (_l = (_k = (_j = common_vendor.unref(BILL_collection_record_show_model.useModel)) == null ? void 0 : _j.showData) == null ? void 0 : _k.value) == null ? void 0 : _l.company_employee) == null ? void 0 : _m.name
        }),
        f: common_vendor.t((_q = common_vendor.unref(BILL_collection_record_show_method.method)) == null ? void 0 : _q.getShowChannel((_p = (_o = (_n = common_vendor.unref(BILL_collection_record_show_model.useModel)) == null ? void 0 : _n.showData) == null ? void 0 : _o.value) == null ? void 0 : _p.channel)),
        g: common_vendor.p({
          title: "通知方式",
          borderTop: true
        }),
        h: common_vendor.p({
          title: "创建时间",
          borderTop: true,
          value: (_t = (_s = (_r = common_vendor.unref(BILL_collection_record_show_model.useModel)) == null ? void 0 : _r.showData) == null ? void 0 : _s.value) == null ? void 0 : _t.created_at
        }),
        i: common_vendor.f((_w = (_v = (_u = common_vendor.unref(BILL_collection_record_show_model.useModel)) == null ? void 0 : _u.showData) == null ? void 0 : _v.value) == null ? void 0 : _w.channel, (i, index, i0) => {
          return {
            a: "0647cc96-6-" + i0,
            b: common_vendor.p({
              value: i,
              Enums: common_vendor.unref(gen_Enums.HouseCollectionTasksChannelEnum)
            }),
            c: `h_td_${index}`
          };
        }),
        j: common_vendor.f((_y = (_x = common_vendor.unref(BILL_collection_record_show_model.useModel)) == null ? void 0 : _x.showDataTable) == null ? void 0 : _y.value, (i, index, i0) => {
          return {
            a: common_vendor.t(i == null ? void 0 : i.full_name),
            b: common_vendor.f(i == null ? void 0 : i.notify_info, (k, idx, i1) => {
              return common_vendor.e({
                a: (k == null ? void 0 : k.status) === "Notified"
              }, (k == null ? void 0 : k.status) === "Notified" ? {
                b: "0647cc96-7-" + i0 + "-" + i1,
                c: common_vendor.p({
                  type: "checkbox",
                  color: "#67C23A",
                  size: "20"
                })
              } : (k == null ? void 0 : k.status) === "Failed" ? {
                e: "0647cc96-8-" + i0 + "-" + i1,
                f: common_vendor.p({
                  type: "close",
                  color: "#F89898",
                  size: "20"
                })
              } : {
                g: "0647cc96-9-" + i0 + "-" + i1,
                h: common_vendor.p({
                  type: "spinner-cycle",
                  color: "#999",
                  size: "20"
                })
              }, {
                d: (k == null ? void 0 : k.status) === "Failed",
                i: `td_${idx}`
              });
            }),
            c: `tr_${index}`
          };
        }),
        k: common_vendor.o(($event) => {
          var _a2, _b2, _c2;
          return common_vendor.unref(BILL_collection_record_show_method.method).getShow((_c2 = (_b2 = (_a2 = common_vendor.unref(BILL_collection_record_show_model.useModel)) == null ? void 0 : _a2.showData) == null ? void 0 : _b2.value) == null ? void 0 : _c2.id);
        })
      };
    };
  }
});
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__file", "/Users/zsq/Sources/github/2025property-pay/pay-employee/src/BILL/collection_record/show/index.vue"]]);
wx.createPage(MiniProgramPage);
